import { world } from "@minecraft/server";

world.afterEvents.itemUse.subscribe((eventData) => {
const player = eventData.source
const item = player.getComponent('equippable').getEquipment('Mainhand')
     if (item?.typeId == 'true:m9_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:m9_empty,location=slot.weapon.mainhand},tag=ammo_m9] slot.weapon.mainhand 0 true:m9 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_m9}] true:ammo_m9 0 1");
          player.runCommandAsync("scoreboard players add @s m9_reloading 25");
        }
        if (item?.typeId == 'true:m1911_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:m1911_empty,location=slot.weapon.mainhand},tag=ammo_m1911] slot.weapon.mainhand 0 true:m1911 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_m1911}] true:ammo_m1911 0 1");
          player.runCommandAsync("scoreboard players add @s m1911_reloading 25");
        }
        if (item?.typeId == 'true:micro_uzi_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:micro_uzi_empty,location=slot.weapon.mainhand},tag=ammo_micro_uzi] slot.weapon.mainhand 0 true:micro_uzi 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_micro_uzi}] true:ammo_micro_uzi 0 1");
          player.runCommandAsync("scoreboard players add @s micro_uzi_reloading 40");
        }
        if (item?.typeId == 'true:mk16_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_empty,location=slot.weapon.mainhand},tag=ammo_mk16] slot.weapon.mainhand 0 true:mk16 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_mk16}] true:ammo_mk16 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_reloading 60");
        }
        if (item?.typeId == 'true:mk16_scope_4x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_scope_4x_empty,location=slot.weapon.mainhand},tag=ammo_mk16] slot.weapon.mainhand 0 true:mk16_scope_4x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_mk16}] true:ammo_mk16 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_scope_4x_reloading 60");
        }
        if (item?.typeId == 'true:mk16_scope_6x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:mk16_scope_6x_empty,location=slot.weapon.mainhand},tag=ammo_mk16] slot.weapon.mainhand 0 true:mk16_scope_6x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_mk16}] true:ammo_mk16 0 1");
          player.runCommandAsync("scoreboard players add @s mk16_scope_6x_reloading 60");
        }
        if (item?.typeId == 'true:hk416_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:hk416_empty,location=slot.weapon.mainhand},tag=ammo_hk416] slot.weapon.mainhand 0 true:hk416 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_hk416}] true:ammo_hk416 0 1");
          player.runCommandAsync("scoreboard players add @s hk416_reloading 60");
        }
        if (item?.typeId == 'true:hk416_scope_4x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:hk416_scope_4x_empty,location=slot.weapon.mainhand},tag=ammo_hk416] slot.weapon.mainhand 0 true:hk416_scope_4x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_hk416}] true:ammo_hk416 0 1");
          player.runCommandAsync("scoreboard players add @s hk416_scope_4x_reloading 60");
        }
        if (item?.typeId == 'true:hk416_scope_6x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:hk416_scope_6x_empty,location=slot.weapon.mainhand},tag=ammo_hk416] slot.weapon.mainhand 0 true:hk416_scope_6x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_hk416}] true:ammo_hk416 0 1");
          player.runCommandAsync("scoreboard players add @s hk416_scope_6x_reloading 60");
        }
        if (item?.typeId == 'true:ak47_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_empty,location=slot.weapon.mainhand},tag=ammo_ak47] slot.weapon.mainhand 0 true:ak47 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_ak47}] true:ammo_ak47 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_reloading 60");
        }
        if (item?.typeId == 'true:ak47_scope_4x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_scope_4x_empty,location=slot.weapon.mainhand},tag=ammo_ak47] slot.weapon.mainhand 0 true:ak47_scope_4x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_ak47}] true:ammo_ak47 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_scope_4x_reloading 60");
        }
        if (item?.typeId == 'true:ak47_scope_6x_empty') {
          player.runCommandAsync("playsound gun_empty @a [r=4] ~ ~ ~");
          player.runCommandAsync("replaceitem entity @s [hasitem={item=true:ak47_scope_6x_empty,location=slot.weapon.mainhand},tag=ammo_ak47] slot.weapon.mainhand 0 true:ak47_scope_6x 1 0");
          player.runCommandAsync("clear @s [hasitem={item=true:ammo_ak47}] true:ammo_ak47 0 1");
          player.runCommandAsync("scoreboard players add @s ak47_scope_6x_reloading 60");
        }
    }
);

